org.jboss.resteasy.plugins.providers.jaxb.json

## Class JsonJAXBContextFinder

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.jaxb.AbstractJAXBContextFinder
  - - org.jboss.resteasy.plugins.providers.jaxb.json.JsonJAXBContextFinder

- All Implemented Interfaces:
    ContextResolver<JAXBContextFinder>, JAXBContextFinder

      @Provider
      @Produces(value="application/*+json")
      public class JsonJAXBContextFinder
      extends AbstractJAXBContextFinder
      implements ContextResolver<JAXBContextFinder>

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jboss.resteasy.plugins.providers.jaxb.AbstractJAXBContextFinder

      `AbstractJAXBContextFinder.CacheKey`

  - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.plugins.providers.jaxb.AbstractJAXBContextFinder

      `OBJECT_FACTORY_NAME, providers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonJAXBContextFinder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected JAXBContext` | `createContextObject(Annotation[] annotations, Class... classes)`
    `protected JAXBContext` | `createContextObject(Annotation[] annotations, String contextPath)`
    `protected JAXBContext` | `find(Class<?> type, MediaType mediaType, ConcurrentHashMap<Class<?>,JAXBContext> cache, Mapped mapped, BadgerFish badger)`
    `JAXBContext` | `findCacheContext(MediaType mediaType, Annotation[] annotations, Class... classes)` This method creates a JAXBContext from a collection of classes.
    `JAXBContext` | `findCachedContext(Class type, MediaType mediaType, Annotation[] annotations)` This method with find a JAXBContext for one type.
    `JAXBContext` | `findCacheXmlTypeContext(MediaType mediaType, Annotation[] annotations, Class... classes)` This method will find a JAXBContext from a set of XmlTypes that use an ObjectFactory for creation (i.e.

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.jaxb.AbstractJAXBContextFinder

      `createContext, createXmlTypeContext, findDefaultObjectFactoryClass, findProvidedJAXBContext, getContext, getPackageName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.ws.rs.ext.ContextResolver

      `getContext`

- - ### Constructor Detail

    - #### JsonJAXBContextFinder

          public JsonJAXBContextFinder()

  - ### Method Detail

    - #### createContextObject

          protected JAXBContext createContextObject(Annotation[] annotations,
                                        Class... classes)
                                             throws JAXBException

      Specified by:
        `createContextObject` in class `AbstractJAXBContextFinder`
      Throws:
        `JAXBException`

    - #### createContextObject

          protected JAXBContext createContextObject(Annotation[] annotations,
                                        String contextPath)
                                             throws JAXBException

      Specified by:
        `createContextObject` in class `AbstractJAXBContextFinder`
      Throws:
        `JAXBException`

    - #### findCacheXmlTypeContext

          public JAXBContext findCacheXmlTypeContext(MediaType mediaType,
                                            Annotation[] annotations,
                                            Class... classes)
                                              throws JAXBException

      Description copied from interface: `JAXBContextFinder`
      This method will find a JAXBContext from a set of XmlTypes that use an ObjectFactory for creation (i.e. from xjc)
      Specified by:
        `findCacheXmlTypeContext` in interface `JAXBContextFinder`
      Returns:
      Throws:
        `JAXBException`

    - #### findCachedContext

          public JAXBContext findCachedContext(Class type,
                                      MediaType mediaType,
                                      Annotation[] annotations)
                                        throws JAXBException

      Description copied from interface: `JAXBContextFinder`
      This method with find a JAXBContext for one type. The user can override the cache by defining a ContextResolver for the given media type.
      Specified by:
        `findCachedContext` in interface `JAXBContextFinder`
      Returns:
      Throws:
        `JAXBException`

    - #### findCacheContext

          public JAXBContext findCacheContext(MediaType mediaType,
                                     Annotation[] annotations,
                                     Class... classes)
                                       throws JAXBException

      Description copied from interface: `JAXBContextFinder`
      This method creates a JAXBContext from a collection of classes. Unlike the other findCachedContext() method, the user cannot override the JAXBContext created.
      Specified by:
        `findCacheContext` in interface `JAXBContextFinder`
      Returns:
      Throws:
        `JAXBException`

    - #### find

          protected JAXBContext find(Class<?> type,
                         MediaType mediaType,
                         ConcurrentHashMap<Class<?>,JAXBContext> cache,
                         Mapped mapped,
                         BadgerFish badger)
                              throws JAXBException

      Throws:
        `JAXBException`

Copyright © 2014. All Rights Reserved.